Gst::PadProbeInfo Class Reference

## Public Member Functions

| PadProbeInfo ()
| PadProbeInfo (GstPadProbeInfo& castitem, bool take_ownership=false)
| PadProbeInfo (GstPadProbeInfo* castitem, bool take_copy=false)
| PadProbeInfo (const PadProbeInfo& other)
virtual | ~PadProbeInfo ()
GstPadProbeInfo* | gobj ()
const GstPadProbeInfo* | gobj () const
gulong | get_id () const
Glib::RefPtr< Gst::Event > | get_event ()
const Glib::RefPtr< Gst::Event > | get_event () const
Glib::RefPtr< Gst::Query > | get_query ()
Glib::RefPtr< Gst::Buffer > | get_buffer ()
Glib::RefPtr< Gst::BufferList > | get_buffer_list ()
PadProbeType | get_type () const

## Constructor & Destructor Documentation

Gst::PadProbeInfo::PadProbeInfo | ( |  | ) |

Gst::PadProbeInfo::PadProbeInfo | ( | GstPadProbeInfo & | castitem,
|  | bool | take_ownership = `false`
| ) |  |

explicit

Gst::PadProbeInfo::PadProbeInfo | ( | GstPadProbeInfo * | castitem,
|  | bool | take_copy = `false`
| ) |  |

explicit

Gst::PadProbeInfo::PadProbeInfo | ( | const PadProbeInfo& | other | ) |

virtual Gst::PadProbeInfo::~PadProbeInfo | ( |  | ) |

virtual

## Member Function Documentation

Glib::RefPtr<Gst::Buffer> Gst::PadProbeInfo::get_buffer | ( |  | ) |

Returns
  The Gst::Buffer from the probe.

Glib::RefPtr<Gst::BufferList> Gst::PadProbeInfo::get_buffer_list | ( |  | ) |

Glib::RefPtr<Gst::Event> Gst::PadProbeInfo::get_event | ( |  | ) |

Returns
  The Gst::Event from the probe.

const Glib::RefPtr<Gst::Event> Gst::PadProbeInfo::get_event | ( |  | ) | const

Returns
  The Gst::Event from the probe.

gulong Gst::PadProbeInfo::get_id | ( |  | ) | const

Glib::RefPtr<Gst::Query> Gst::PadProbeInfo::get_query | ( |  | ) |

Returns
  The Gst::Query from the probe.

PadProbeType Gst::PadProbeInfo::get_type | ( |  | ) | const

GstPadProbeInfo* Gst::PadProbeInfo::gobj | ( |  | ) |

inline

const GstPadProbeInfo* Gst::PadProbeInfo::gobj | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- gstreamermm/pad.h